//------------------------------GLOBAL VARIABLES----------------------------------------------------------
var items = new Array()  // Choices
var questionStem = ""    // Stem of question
var feedbacks = new Array('', '', '', '', '', '', '') // Array of feedbacks for each choice
var fbString = "" // Main, general feedback for question
var choices = 0 // Number of choices
var image = "" // Path to image, if shown in a separate panel
var imageX = 0 // X location of image
var imageY = 0 // Y location of image
var imageW = 0 // Width of image
var imageH = 0 // Height of image
var iScrambling = 0 // 0: all choices are scrambled. 1: last choice in always appears at the bottom
var question = 1 // to differentiate between an EST question and an example
var horiz = false // Images as choices are listed vertically oterwise, horizontally
var mixed = false // Images appear in two rows
var ordered = new Array() // Working variables
var shuffled = new Array() //                " 
var num; // not used
//----------------------------------------------------------------------------------------------------------------------
function isNav()
{
	return (navigator.appName == "Netscape");
}
//----------------------------------------------------------------------------------------------------------------------
function isNN6Min()
{
	return (isNav() && parseInt(navigator.appVersion) >= 5);
}
//----------------------------------------------------------------------------------------------------------------------
function isIE()
{
	return (navigator.appName == "Microsoft Internet Explorer");
}
//----------------------------------------------------------------------------------------------------------------------
function shuffle(n)
{
	var j
	for(var i = 0; i < n; i++)ordered[i] = i + 1
	for(var i = n; i > 0; i--)
	{
        	j = Math.floor(Math.random() * i)
        	shuffled[i - 1] = ordered[j]
        	ordered[j] = ordered[i - 1]
	}
}
//--------------------------------------------------------------------------------------------------
function writeItems()
{
	document.write(questionStem) 
	if(!mixed)
	{
		for(var i = 0;i < choices - iScrambling; i++)
		{
			if(horiz)
			{
				document.write(labels[i] + " <input type='radio' name='R1" + "'  value='" + Correct[shuffled[i] - 1] + "'>" + items[shuffled[i] - 1] + "&nbsp;&nbsp;&nbsp;&nbsp;")
			}	
			else 
			{
				document.write("<p>" + labels[i] + " <input type='radio' name='R1" + "'  value='" + Correct[shuffled[i] - 1] + "'>" + items[shuffled[i] - 1] + "</p>")
			}	
		}
	}	
	else 
	{
		for (var i = 0; i < choices/2; i++)
		{
			document.write(labels[i] + " <input type='radio' name='R1" + "'  value='" + Correct[shuffled[i] - 1] + "'>" + items[shuffled[i] - 1] + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;")
		}	
			document.write("<br>")
		for (var i = choices/2; i < choices; i++)
		{
			document.write(labels[i] + " <input type='radio' name='R1" + "'  value='" + Correct[shuffled[i] - 1] + "'>" + items[shuffled[i] - 1] + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;")
		}	
			document.write("<br>")
	}
	switch(iScrambling)
	{
		case 0: break
		case 1: shuffled[choices - 1] = choices
	 		document.write("<p>" + labels[choices - 1] + " <input type='radio' name='R1" + "' value='" + Correct[choices - 1] + "'>" + items[choices - 1] + "</p>")
	 		break
		case 2: shuffled[choices - 2] = choices - 1
	 	        shuffled[choices - 1] = choices
			document.write("<p>" + labels[choices - 2] + " <input type='radio' name='R1" + "' value='" + Correct[choices - 2] + "'>" + items[choices - 2] + "</p>")
			document.write("<p>" + labels[choices - 1] + " <input type='radio' name='R1" + "' value='" + Correct[choices - 1] + "'>" + items[choices - 1] + "</p>")
			break
	}
	document.write('<p><input name="Jbutton" type="button" value="Judge" id="B" onclick="judge()"></p>')
}
//----------------------------------------------------------------------------------------------------------------------
function feedbackLayer()
{
//if(document.all) document.write('<div id = "lyr" style = "position:absolute; top:350; left:10; width:720; height:50;z-index:10;background-color:silver; visibility:visible"> Please choose one item from the list above</div>')
//if(document.layers) document.write('<layer id = "lyr" top = "350" left = "10" width = "720" height = "50" bgcolor = "silver" zindex = "10" visibility = "visible"> Please choose one item from the list above</layer>')
document.write('<table id="panel1"><tr><td id="data"><center><font color="blue"><b>There is only one correct answer.<br>Please choose one item from the list above</b></font></center></td></tr></table>')	
}
//----------------------------------------------------------------------------------------------------------------------
function showImage()
{
	document.write('<div id="picture" style="position:absolute; top:' + imageY + '; left:' + imageX + '; width:' + imageW + '; height:' + imageH + ';z-index:10; visibility:visible"><img src="' + image + '"></div>');
}
//----------------------------------------------------------------------------------------------------------------------
function feedback(n, picked)
{
	var fBack;
	var CloseButton ="";
	CloseButton = '<br><p><a onClick=history.go(-1)><img src="Graphics/Close.gif" border="0"></a></p>';
	var Str = fBack + fbString + "<br>" + CloseButton;	
	if(n == 1)fBack = "<b>Correct.</b> "
	else fBack = "<b>Incorrect.</b> "
	var Str = fBack + "<br>" + feedbacks[shuffled[picked - 1]] + "<br>" + fbString + CloseButton;
	if((picked < 1)||(picked > choices))alert("You must first select an item!")
	else
	{
		document.getElementById("B").style.visibility = "hidden"
		document.getElementById("panel1").style.top += -50
		if(isIE)document.getElementById("data").innerHTML = Str;
		else if(isNN6Min)document.getElementById("data").write(Str);
	}
}
//----------------------------------------------------------------------------------------------------------------------
function judge()
{
	var val = 0
	var picked = 0
	for(var i = 0; i < document.f.R1.length; i++)
	{
	    	if(document.f.R1[i].checked)
    	{
	       	picked = i + 1
	       	val = document.f.R1[i].value
	       	break
    	}
   }
	feedback(val, picked)
	// only if results are to be stored in a cookie using Electronic Science Tutor
	//if(question){
	//	if(val == 1) {parent.R[num - 1] = "1"}
	//	else {parent.R[num - 1] = "0"}
	//	parent.SetResultString()
	//	}
}
//----------------------------------------------------------------------------------------------------------------------
function MCQ()
{
	shuffle(choices - iScrambling)
	writeItems()
	feedbackLayer()
	if(image.length > 0)showImage()
}
//----------------------------------------------------------------------------------------------------------------------
